<?php

declare(strict_types=1);

namespace App\Http\Controllers;

use Illuminate\Http\Request;

class DashboardController
{
    public function __invoke(Request $request)
    {
        $wallet = $request->user()->wallet;

        // bouger cette partie dans un service ou un listener quand on aura le temps, ainsi que le même code dans l'inscription
        if (! $wallet) {
            $request->user()->wallet()->create(['balance' => 0]);
            $request->user()->load('wallet');
        }

        $transactions = $request->user()->wallet->transactions()->with('transfer')->orderByDesc('id')->get();
        $balance = $request->user()->wallet->balance;

        return view('dashboard', compact('transactions', 'balance'));
    }
}
